package binary_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type BinaryCancelSignRequest struct {
	DataSign *common.BinaryCancelSignDataSignRequest `json:"dataSign"`
	Operator *common.NameUserInfoRequest             `json:"operator"`
}

func (obj BinaryCancelSignRequest) GetUrl() string {
	return "/binary/cancel/sign"
}

func (obj BinaryCancelSignRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
